ViperPay versions - I'm so confused

Look here for answers to your technical questions. Post a question or share your expertise with others.
Post Reply
User avatar
skonley
Head Tech
Posts: 310
Joined: Thu Oct 07, 2010 9:21 am
Location: Crimea River

ViperPay versions - I'm so confused

Post by skonley » Thu Jul 11, 2019 6:25 am

LOL- VFI released another viper version yesterday. 4.05.04.xx and I'm baffled. I'm guessing this version will be for BP but it comes in two flavors so maybe not. Would be nice to know. Just sayin'
Be alert - we need more lerts!

gashuffers
Head Tech
Posts: 80
Joined: Mon Jan 12, 2015 6:38 pm

Re: ViperPay versions - I'm so confused

Post by gashuffers » Thu Jul 11, 2019 7:48 am

.03 is for NBS and worldpay. .02 is everybody else. What is confusing why did they go from 4.05.03 to 4.06.02/03 and back to 4.05.04

gdtaylor
Head Tech
Posts: 166
Joined: Fri Feb 18, 2005 6:45 am

Re: ViperPay versions - I'm so confused

Post by gdtaylor » Fri Jul 12, 2019 12:27 pm

the last 2 digits reference the version of Kernel

i.e. xx.xx.xx.02 = old kernel and xx.xx.xx.03 = new kernel

FYI you can install the 4.06.xx.02 or 4.06.xx.03 at BP with no issues as a full ViperPay install. You will also need to install the BP images.

BP is planing on releasing the new kernel as part of the outdoor EMV install package.
Greg Taylor

Product Support Engineer

Verifone, Inc.


User avatar
xardoz
Head Tech
Posts: 1149
Joined: Fri Jan 04, 2008 1:31 pm
Location: Chehalis, WA
Contact:

Re: ViperPay versions - I'm so confused

Post by xardoz » Fri Jul 12, 2019 5:28 pm

1 + 1 = 2
1 & 1 =11
1 + 1 =10 (In Binary)

Just say'in.... :roll:
https://online.hillsdale.edu

Any society that would give up a little liberty to gain a little security will deserve neither and lose both.
Benjamin Franklin

User avatar
skonley
Head Tech
Posts: 310
Joined: Thu Oct 07, 2010 9:21 am
Location: Crimea River

Re: ViperPay versions - I'm so confused

Post by skonley » Fri Jul 12, 2019 8:03 pm

gdtaylor wrote:
Fri Jul 12, 2019 12:27 pm
the last 2 digits reference the version of Kernel

i.e. xx.xx.xx.02 = old kernel and xx.xx.xx.03 = new kernel

FYI you can install the 4.06.xx.02 or 4.06.xx.03 at BP with no issues as a full ViperPay install. You will also need to install the BP images.

BP is planing on releasing the new kernel as part of the outdoor EMV install package.
So VHQ is good now with 4.06? What is the purpose for 4.05.04.xx then?
Be alert - we need more lerts!


gdtaylor
Head Tech
Posts: 166
Joined: Fri Feb 18, 2005 6:45 am

Re: ViperPay versions - I'm so confused

Post by gdtaylor » Sat Jul 13, 2019 11:15 am

the VHQ issues with 4.06.xx.xx that I am aware of, were from VHQ delivered upgrades

full installs had no issues

I will be testing vhq delivery upgrade from 4.05.03.02 to 4.06.04.02 on Tuesday.
Greg Taylor

Product Support Engineer

Verifone, Inc.


Joejohnson
Head Tech
Posts: 1018
Joined: Mon Apr 11, 2016 8:28 pm

Re: ViperPay versions - I'm so confused

Post by Joejohnson » Sat Jul 13, 2019 4:17 pm

gdtaylor wrote:
Sat Jul 13, 2019 11:15 am
the VHQ issues with 4.06.xx.xx that I am aware of, were from VHQ delivered upgrades

full installs had no issues

I will be testing vhq delivery upgrade from 4.05.03.02 to 4.06.04.02 on Tuesday.
The question was why V4.05.04 was created at the same time as V4.06.04.

Have a great night.

gdtaylor
Head Tech
Posts: 166
Joined: Fri Feb 18, 2005 6:45 am

Re: ViperPay versions - I'm so confused

Post by gdtaylor » Sat Jul 13, 2019 6:42 pm

the answer is in the release notes

New In This Release: 4.05.04
ENHANCEMENT
System
The new XPI version 5200z for kernel 7.0.0 and new XPI version 5300T for kernel
7.0.2 have been added.
Greg Taylor

Product Support Engineer

Verifone, Inc.


User avatar
skonley
Head Tech
Posts: 310
Joined: Thu Oct 07, 2010 9:21 am
Location: Crimea River

Re: ViperPay versions - I'm so confused

Post by skonley » Mon Jul 15, 2019 7:44 pm

Hmm....still confused. Under what circumstances would I load 4.05.04?
Be alert - we need more lerts!

Joejohnson
Head Tech
Posts: 1018
Joined: Mon Apr 11, 2016 8:28 pm

Re: ViperPay versions - I'm so confused

Post by Joejohnson » Mon Jul 15, 2019 7:55 pm

skonley wrote:
Mon Jul 15, 2019 7:44 pm
Hmm....still confused. Under what circumstances would I load 4.05.04?
LoL............


Post Reply